Imports System.Text

Namespace UTSModule.Project
    Public Class StationPacketImprint
        Sub New()

            Imprints = New List(Of String)()
        End Sub

        Sub New(imprintString As String)
            imprintString = imprintString.Replace(Chr(13), Chr(0))
            Imprints = imprintString.Split(Chr(10)).ToList()
        End Sub


        ''' <summary>
        ''' 项目站包文件名
        ''' </summary>
        ''' <returns></returns>
        Public Property FileName() As String

        ''' <summary>
        ''' 项目站包创建者
        ''' </summary>
        ''' <returns></returns>
        Public Property Creator() As String

        ''' <summary>
        ''' 项目站包版本说明
        ''' </summary>
        ''' <returns></returns>
        Public Property Imprints() As List(Of String)

        Public Overrides Function ToString() As String
            Dim strReturn As New StringBuilder
            For Each imprint As String In Imprints
                strReturn.Append($"{imprint}{vbNewLine}")
            Next
            Return strReturn.ToString()
        End Function
    End Class
End Namespace